__alpm_pkghash_t(3)

NAME
__alpm_pkghash_t - A hash table for holding alpm_pkg_t objects.

SYNOPSIS

#include <pkghash.h>

  Data Fields
alpm_list_t ** hash_table
data held by the hash table
alpm_list_t * list
head node of the hash table data in normal list format
unsigned int buckets
number of buckets in hash table
unsigned int entries
number of entries in hash table
unsigned int limit
max number of entries before a resize is needed

Detailed Description

A hash table for holding alpm_pkg_t objects. A combination of a hash table and a list, allowing for fast look-up by package name but also iteration over the packages.

Field Documentation

  unsigned int __alpm_pkghash_t::buckets

number of buckets in hash table

  unsigned int __alpm_pkghash_t::entries

number of entries in hash table

  alpm_list_t** __alpm_pkghash_t::hash_table

data held by the hash table

  unsigned int __alpm_pkghash_t::limit

max number of entries before a resize is needed

  alpm_list_t* __alpm_pkghash_t::list

head node of the hash table data in normal list format

Referenced by alpm_db_get_usage(), and alpm_db_update().

Author

Generated automatically by Doxygen for libalpm from the source code.